package com.yunfeiyun.agmp.common.web.system.mapper;

import com.yunfeiyun.agmp.common.web.system.domain.SysZone;

import java.util.List;

/**
 * 地区Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-08-03
 */
public interface SysZoneMapper 
{
    /**
     * 查询地区
     * 
     * @param zoneId 地区主键
     * @return 地区
     */
    public SysZone selectSysZoneByZoneId(String zoneId);

    /**
     * 查询地区列表
     * 
     * @param sysZone 地区
     * @return 地区集合
     */
    public List<SysZone> selectSysZoneList(SysZone sysZone);
    public List<SysZone> selectSysZoneListProvincezh(SysZone sysZone);
    public List<SysZone> selectSysZoneListCapitalzh(SysZone sysZone);

    /**
     * 新增地区
     * 
     * @param sysZone 地区
     * @return 结果
     */
    public int insertSysZone(SysZone sysZone);

    /**
     * 修改地区
     * 
     * @param sysZone 地区
     * @return 结果
     */
    public int updateSysZone(SysZone sysZone);

    /**
     * 删除地区
     * 
     * @param zoneId 地区主键
     * @return 结果
     */
    public int deleteSysZoneByZoneId(String zoneId);

    /**
     * 批量删除地区
     * 
     * @param zoneIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysZoneByZoneIds(String[] zoneIds);
}
